org.vishia.gral.area9

## Class GuiCallingArgs

- java.lang.Object
- - org.vishia.gral.area9.GuiCallingArgs

- Direct Known Subclasses:
    BzrGui.CallingArguments, Fcmd.CallingArgs, InspcGui.CallingArguments, ViewCfg.CallingArguments

      public class GuiCallingArgs
      extends java.lang.Object

  The standard command-line-arguments for a graphic application are stored in an extra class. This class should be the base class for users command line argument storage. In Generally the separation of command line argument helps to invoke the functionality with different calls, for example calling in a GUI, calling in a command-line-batch-process or calling from ANT. This class should be the super class of an derived application's CallingArguments class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.lang.String>` | `cfgConditions`
    `java.io.File` | `dirHtmlHelp`
    `protected java.io.File` | `fileGuiCfg` The configuration file.
    `(package private) GralFactory` | `graphicFactory` The graphic base factory can be detected from command line arguments or set directly from the calling level.
    `java.io.File` | `msgConfig`
    `java.lang.String` | `positionWindow` The position in grid units related to the whole display.
    `(package private) java.lang.String` | `sInspectorOwnPort` The own ipc-address for inspector-Communication with this application.
    `char` | `sizeShow` Size, either A,B or F for 800x600, 1024x768 or full screen.
    `java.lang.String` | `sOwnIpcAddr` The own ipc-address for Interprocess-Communication with the target.
    `java.lang.String` | `sPathZbnf`
    `java.lang.String` | `sPluginCfg` A plugin specific confic string.
    `(package private) java.lang.String` | `sPluginClass` A class which is used as plugin for user specifies.
    `java.lang.String` | `sTimeZone` The time zone to present all time informations.
    `(package private) java.lang.String` | `sTitle` String for title bar.
    `static int` | `version` Version, history and licence 2015-05-16 Hartmut new "-help:" for help base dir in argument check, "-msgcfg:" in argument check.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiCallingArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getDirCfg()` Returns that directory where the configuration file is found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and licence
      - 2015-05-16 Hartmut new "-help:" for help base dir in argument check, "-msgcfg:" in argument check. It is moved from Fcmd to this base class of Fcmd, available generally.
      - 2013-11-22 Hartmut new `sTitle`
      - 2012-04-22 Hartmut chg `sizeShow` instead sSize, new `#xLeftPixelWindow` etc.
      - 2011-06-00 Hartmut creation, commonly arguments for each GUI application.
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL ist not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### sTitle

          java.lang.String sTitle

      String for title bar.

    - #### graphicFactory

          GralFactory graphicFactory

      The graphic base factory can be detected from command line arguments or set directly from the calling level.

    - #### fileGuiCfg

          protected java.io.File fileGuiCfg

      The configuration file. It is created while parsing arguments. The file is opened and closed while the configuration is used to build the GUI. The file is used to write on menu-save action.

    - #### sPathZbnf

          public java.lang.String sPathZbnf

    - #### sTimeZone

          public java.lang.String sTimeZone

      The time zone to present all time informations.

    - #### sizeShow

          public char sizeShow

      Size, either A,B or F for 800x600, 1024x768 or full screen.

    - #### positionWindow

          public java.lang.String positionWindow

      The position in grid units related to the whole display.

    - #### sOwnIpcAddr

          public java.lang.String sOwnIpcAddr

      The own ipc-address for Interprocess-Communication with the target. It is a string, which determines the kind of communication. For example "UDP:0.0.0.0:60099" to create a socket port for UDP-communication.

    - #### cfgConditions

          public java.util.List<java.lang.String> cfgConditions

    - #### sPluginClass

          java.lang.String sPluginClass

      A class which is used as plugin for user specifies. It is of interface `PlugUser_ifc`.

    - #### sPluginCfg

          public java.lang.String sPluginCfg

      A plugin specific confic string.

    - #### sInspectorOwnPort

          java.lang.String sInspectorOwnPort

      The own ipc-address for inspector-Communication with this application. It is a string, which determines the kind of communication. For example "UDP:0.0.0.0:60099" to create a socket port for UDP-communication.

    - #### dirHtmlHelp

          public java.io.File dirHtmlHelp

    - #### msgConfig

          public java.io.File msgConfig

  - ### Constructor Detail

    - #### GuiCallingArgs

          public GuiCallingArgs()

  - ### Method Detail

    - #### getDirCfg

          public java.io.File getDirCfg()

      Returns that directory where the configuration file is found. That directory may contain some more files for the application.